shithub: scc

Download patch

ref: a6c2b5a33370629d88ddb5205b07cf0c78669463
parent: 9b355acf495a70ce2767ffae671fe2ae22521a2e
author: Roberto E. Vargas Caballero <k0ga@shike2.com>
date: Mon Jul 4 07:31:13 EDT 2022

tests/ld: Remove messages because ld is a WIP

Ld is not finished and it cannot be executed making that the test fails
and it generates some noise to the tests target. To be fixed once Ld
works.

--- a/tests/ld/execute/Makefile
+++ b/tests/ld/execute/Makefile
@@ -22,7 +22,7 @@
 	printf '\tld/execute\n'
 
 a.out: $(OBJS) f.a
-	$(LD) $(OBJS) f.a
+	$(LD) $(OBJS) f.a >/dev/null 2>&1 || true
 
 f.a: $(OBJLIB)
 	$(AR) -rv $@ $?